| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму | Файлообменник |

Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > как выделить все объекты одного слоя или быстро сделать н...

как выделить все объекты одного слоя или быстро сделать н...

Закрытая тема
Поиск в этой теме
Непрочитано 09.02.2006, 12:05 #1
как выделить все объекты одного слоя или быстро сделать н...
Валера_
 
Регистрация: 09.02.2006
Сообщений: 7

кто может подсказать?
как выделить все объекты одного слоя или быстро сделать невидимыми все слои кроме одного
Просмотров: 64696
 
Непрочитано 09.02.2006, 12:12 Re: как выделить все объекты одного слоя или быстро сделать
#2
asys

архитектор
 
Регистрация: 10.08.2005
Ростов-на-Дону
Сообщений: 5,281


Цитата:
Сообщение от Валера_
как выделить все объекты одного слоя
QSELECT с параметром Layer
Цитата:
Сообщение от Валера_
сделать невидимыми все слои кроме одного
Команда экспресса layiso выключает все слои кроме выбранного
asys вне форума  
 
Автор темы   Непрочитано 09.02.2006, 12:50
#3
Валера_


 
Регистрация: 09.02.2006
Сообщений: 7


спасибо большое
Валера_ вне форума  
 
Непрочитано 09.02.2006, 13:15
| 1 #4
LLEXA

Проектирование, трубопроводы
 
Регистрация: 25.02.2004
УФА
Сообщений: 209


А если expressa нет, то быстрый выбор слоев:

_layer, Ctrl+A, выключаем слои, убираем выделение всех, включаем нужный.
дольше чем в экспрессе зато быстрее, чем по одному тыкать.
LLEXA вне форума  
 
Непрочитано 09.02.2006, 13:58
2 | #5
Кочетков Андрей

Java/Kotlin backend
 
Регистрация: 03.02.2006
Сообщений: 5,557


По поводу выделения объектов, находящихся на одном слое, можно воспользоваться программой:
Код:
[Выделить все]
(defun c:qsel2 (/ )
  (sssetfirst nil (ssget "_X" (list (assoc 8 (entget (car (entsel "Выберите объект, находящийся на необходимом слое: ")))))))(princ)
  )
Кочетков Андрей вне форума  
 
Непрочитано 19.08.2009, 13:44
#6
Electra

Инженер-антрополог
 
Регистрация: 16.02.2009
Moscow
Сообщений: 97


Цитата:
Сообщение от LLEXA Посмотреть сообщение
А если expressa нет, то быстрый выбор слоев:

_layer, Ctrl+A, выключаем слои, убираем выделение всех, включаем нужный.
дольше чем в экспрессе зато быстрее, чем по одному тыкать.
ооо спасибо, ценный совет
Electra вне форума  
 
Непрочитано 20.08.2009, 00:20
#7
Startrek

AutoCAD/AutoLISP
 
Регистрация: 27.08.2003
Seattle/USA
Сообщений: 1,133


_.LAYWALK
_LAYISO (_LAYUNISO)
__________________
Сквозь тернии к звездам.... и обратно :yes:
Startrek вне форума  
 
Непрочитано 30.04.2013, 17:35
#8
sasha_lif

Дизайнер-конструктор
 
Регистрация: 29.05.2004
Kiev
Сообщений: 1,184
<phrase 1=


Кочетков Андрей, а как поправить ваш код из №5, чтобы выделялись нужные примитивы не со всего чертежа, а из заранее выбранного набора?
__________________
Kiev, Ukraine
sasha_lif вне форума  
 
Непрочитано 30.04.2013, 20:28
#9
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,915
<phrase 1= Отправить сообщение для VVA с помощью Skype™


Выделение примИтивов на слое одним кликом

Мой вариант
1. Выделяет все объекты со слоя образца. Позволяеть использовать SHIFT для добавления / удаления
2. Наличие установленного Express Tools обязательна
3. Вызывать на исполнетие так (layselect)
Тынц

По моему, начиная где-то с 2010 Автокада стандарнтые команды
_copytolayer (копиявслой) - диалог
_-copytolayer (-копиявслой) - командная строка
__________________
Как использовать код на Лиспе читаем здесь
VVA вне форума  
 
Непрочитано 03.11.2016, 09:15
#10
koks708


 
Регистрация: 24.02.2016
Сообщений: 4


На чертеже несколько объектов (слоев). Выбираю слой_1, жму "СЛОЙОТД", все слои кроме выбранного заблокировались. Теперь хочу отменить блокирование командой "СЛОЙОТДОТМ". Выбираю так же все объекты, жму - не разблокирует! Пришлось вручную "замочки" разблокировать в списке слоев. Как эта команда работает-то? (Автокад2017)
koks708 вне форума  
 
Непрочитано 08.11.2016, 11:51
1 | #11
Gmk17

САПРовод
 
Регистрация: 22.01.2013
Красноярск
Сообщений: 290


Чтобы отменить блокировку, выделять уже ничего не нужно - просто запускай СЛОЙОТДОТМ.

А еще у первой команды на ПКМ есть ПАраметры. Они позволяют не блокировать, а отключать все слои, кроме выделенного(-ных).
Gmk17 вне форума  
 
Непрочитано 18.11.2016, 08:43
#12
zenby


 
Регистрация: 17.11.2015
Сообщений: 1


Могу посоветовать, что нашел самым быстрым по поводу выбора объектов из одного слоя, к примеру "металл". Команда filter, в нем устанавливаю select filter на нужный мне параметр, т.е. на layer-select(нахожу нужный слой)-add to list. Далее в соседней панельке я сохраняю под нужное мне название. Если в будущем мне придется вызывать подобное, я уже могу это сделать через сохраненные прежде имена. Вообще, лично мое наблюдение, для выбора объектов одного слоя, быстрее по работе чем filter ничего не нашел.
zenby вне форума  
 
Непрочитано 11.03.2017, 22:30
#13
koskos


 
Регистрация: 27.09.2016
Сообщений: 43


Цитата:
Сообщение от VVA Посмотреть сообщение
Выделение примИтивов на слое одним кликом

Мой вариант
1. Выделяет все объекты со слоя образца. Позволяеть использовать SHIFT для добавления / удаления
2. Наличие установленного Express Tools обязательна
3. Вызывать на исполнетие так (layselect)
Тынц

По моему, начиная где-то с 2010 Автокада стандарнтые команды
_copytolayer (копиявслой) - диалог
_-copytolayer (-копиявслой) - командная строка
Есть ли возможность добавления в данный лисп возможности выбирать область, в которой должны будут выделиться объекты выбранного слоя?
koskos вне форума  
 
Непрочитано 11.03.2017, 23:24
#14
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,915
<phrase 1= Отправить сообщение для VVA с помощью Skype™


koskos, попробуй в строчке
Цитата:
(setq ss nil ss (ssget "_X" lay))
убрать "_X"
Должно стать так
Цитата:
(setq ss nil ss (ssget lay))
__________________
Как использовать код на Лиспе читаем здесь
VVA вне форума  
 
Непрочитано 12.03.2017, 19:33
#15
koskos


 
Регистрация: 27.09.2016
Сообщений: 43


VVA, понял, попробую, спасибо.
Не получилось :с

Последний раз редактировалось koskos, 12.03.2017 в 19:39.
koskos вне форума  
 
Непрочитано 12.03.2017, 23:46
1 | #16
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,915
<phrase 1= Отправить сообщение для VVA с помощью Skype™


Цитата:
Сообщение от koskos Посмотреть сообщение
Не получилось :с
Держи
Код:
[Выделить все]
 ;;;Lay select crossing
(defun C:LSC ( )(layselectmode "_C"))
 ;;;Lay select window
(defun C:LSW ( )(layselectmode "_W"))
(defun layselectmode ( mode / e1 LAY SS pat SS1 i  F pt1 pt2)
  ;;;Lay select 
  ;;; mode "_C" - crossing
  ;;;      "_W" - windos
;;; http://forum.dwg.ru/showthread.php?p=1625894#post1625894
  (SSSETFIRST nil nil) 
  (setvar "ERRNO" 0)
  (initget 1)
  (setq pt1 (getpoint "\nПервый угол :"))
  (initget 1)
  (setq pt2 (getcorner pt1 "\nВторой угол :"))
   (setq SS1 (ssadd) F t) 
   (while F 
      (if (setq e1 (entsel "\nВыберите примитив слоя <выход>: ")) 
        (progn
          (setq lay(list(assoc 8 (entget(car e1)))(cons 410 (getvar "CTAB")))) 
          (setq ss nil ss (ssget mode pt1 pt2 lay)) 
        (if (acet-sys-shift-down) 
          (repeat (setq i (sslength ss)) 
            (ssdel (ssname ss (setq i(1- i))) ss1) 
            ) 
          (repeat (setq i (sslength ss)) 
            (ssadd (ssname ss (setq i(1- i))) ss1) 
            ) 
          ) 
          (SSSETFIRST nil nil) 
          (if (> (sslength ss1) 0)(SSSETFIRST nil ss1)) 
        ) 
        (progn 
        (setq e1 (getvar "ERRNO")) 
        (cond ((= e1 7)(princ " ** Мимо **")(setq F t)) 
              ((= e1 52)(setq F nil)) 
         (t (setq F t))) 
        ) 
        ) 
   ) ;_ end of while 
   (princ) 
)
(princ "\nНаберите LSC или LSW в командной строке")(princ)
__________________
Как использовать код на Лиспе читаем здесь
VVA вне форума  
 
Непрочитано 13.03.2017, 09:12
#17
koskos


 
Регистрация: 27.09.2016
Сообщений: 43


Огромное спасибо! Все работает!
koskos вне форума  
 
Непрочитано 28.07.2022, 11:42
#18
ViTtT


 
Регистрация: 19.02.2013
Сообщений: 31


Цитата:
Сообщение от asys Посмотреть сообщение
QSELECT с параметром Layer
А если нужно из выделенных оставить все элементы кроме любых отрезков? Так, как я понимаю, не получится. Необходимо указывать дополнительное условие по слою, цвету и так далее.
ViTtT вне форума  
 
Непрочитано 28.07.2022, 13:04
#19
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 38,889


Поиграйся с быстрым выбором - там много чего есть.
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Непрочитано 29.07.2022, 04:16
#20
ViTtT


 
Регистрация: 19.02.2013
Сообщений: 31


Цитата:
Сообщение от Кулик Алексей aka kpblc Посмотреть сообщение
Поиграйся с быстрым выбором - там много чего есть.
Но именно той ситуации, которую я описал, нет.
ViTtT вне форума  
Закрытая тема
Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > как выделить все объекты одного слоя или быстро сделать н...

Инженерные консультации
Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск